Bug 21671 - Koha/Patron/Modifications.t is failing randomly
Summary: Koha/Patron/Modifications.t is failing randomly
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-25 17:39 UTC by Jonathan Druart
Modified: 2019-06-21 08:18 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.06, 18.05.13


Attachments
Bug 21671: Prevent Modifications.t to fail randomly (1.39 KB, patch)
2018-11-12 18:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21671: Prevent Modifications.t to fail randomly (1.44 KB, patch)
2019-04-29 16:56 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 21671: Prevent Modifications.t to fail randomly (1.53 KB, patch)
2019-05-03 09:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-10-25 17:39:11 UTC
On 18.05_D9 (#96)

koha_1       |     # Looks like you planned 20 tests but ran 9.
koha_1       | 
koha_1       | #   Failed test 'approve tests'
koha_1       | #   at t/db_dependent/Koha/Patron/Modifications.t line 259.
koha_1       | [repeatable not set for attribute type and tried to add a new attribute for the same code]# Looks like your test exited with 255 just after 5.
koha_1       | [15:46:57] t/db_dependent/Koha/Patron/Modifications.t

The exception does not give us enough information to debug this.
Comment 1 Jonathan Druart 2018-11-08 16:18:57 UTC
Same today on 18.05_U18 (#112)
Comment 2 Jonathan Druart 2018-11-12 18:22:08 UTC
Created attachment 82238 [details] [review]
Bug 21671: Prevent Modifications.t to fail randomly

If repeatable is set to 0 by TestBuilder, the tests will fail with:
t/db_dependent/Koha/Patron/Modifications.t .. 1/6     # Looks like you planned 20 tests but ran 9.

 #   Failed test 'approve tests'
 #   at t/db_dependent/Koha/Patron/Modifications.t line 259.
[repeatable not set for attribute type and tried to add a new attribute for the same code]# Looks like your test exited with 255 just after 5.
Comment 3 Liz Rea 2019-04-29 16:56:06 UTC
Created attachment 89038 [details] [review]
Bug 21671: Prevent Modifications.t to fail randomly

If repeatable is set to 0 by TestBuilder, the tests will fail with:
t/db_dependent/Koha/Patron/Modifications.t .. 1/6     # Looks like you planned 20 tests but ran 9.

 #   Failed test 'approve tests'
 #   at t/db_dependent/Koha/Patron/Modifications.t line 259.
[repeatable not set for attribute type and tried to add a new attribute for the same code]# Looks like your test exited with 255 just after 5.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
I couldn't get the test to fail, but it still passes with this change and if Jonathan thinks it needs it, it probably does.
Comment 4 Marcel de Rooy 2019-05-03 09:23:31 UTC
Created attachment 89300 [details] [review]
Bug 21671: Prevent Modifications.t to fail randomly

If repeatable is set to 0 by TestBuilder, the tests will fail with:
t/db_dependent/Koha/Patron/Modifications.t .. 1/6     # Looks like you planned 20 tests but ran 9.

 #   Failed test 'approve tests'
 #   at t/db_dependent/Koha/Patron/Modifications.t line 259.
[repeatable not set for attribute type and tried to add a new attribute for the same code]# Looks like your test exited with 255 just after 5.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Nick Clemens 2019-05-07 11:44:31 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-05-08 15:41:55 UTC
Pushed to 18.11.x for 18.11.06
Comment 7 Lucas Gass 2019-05-30 13:55:20 UTC
backported to 18.05.x for 18.05.13